Package org.gdal.ogr

## Class Feature

- java.lang.Object
- - org.gdal.ogr.Feature

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class Feature
      extends java.lang.Object
      implements java.lang.Cloneable

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Feature​(long cPtr, boolean cMemoryOwn)` |
    `Feature​(FeatureDefn feature_def)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone​()` |
    `Feature` | `Clone​()` |
    `void` | `delete​()` |
    `void` | `DumpReadable​()` |
    `boolean` | `Equal​(Feature feature)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `void` | `FillUnsetWithDefault​()` |
    `void` | `FillUnsetWithDefault​(int bNotNullableOnly)` |
    `void` | `FillUnsetWithDefault​(int bNotNullableOnly, java.util.Vector options)` |
    `static long` | `getCPtr​(Feature obj)` |
    `FeatureDefn` | `GetDefnRef​()` |
    `long` | `GetFID​()` |
    `byte[]` | `GetFieldAsBinary​(int id)` |
    `byte[]` | `GetFieldAsBinary​(java.lang.String field_name)` |
    `void` | `GetFieldAsDateTime​(int id, int[] pnYear, int[] pnMonth, int[] pnDay, int[] pnHour, int[] pnMinute, float[] pfSecond, int[] pnTZFlag)` |
    `void` | `GetFieldAsDateTime​(java.lang.String field_name, int[] pnYear, int[] pnMonth, int[] pnDay, int[] pnHour, int[] pnMinute, float[] pfSecond, int[] pnTZFlag)` |
    `double` | `GetFieldAsDouble​(int id)` |
    `double` | `GetFieldAsDouble​(java.lang.String field_name)` |
    `double[]` | `GetFieldAsDoubleList​(int id)` |
    `int` | `GetFieldAsInteger​(int id)` |
    `int` | `GetFieldAsInteger​(java.lang.String field_name)` |
    `long` | `GetFieldAsInteger64​(int id)` |
    `long` | `GetFieldAsInteger64​(java.lang.String field_name)` |
    `int[]` | `GetFieldAsIntegerList​(int id)` |
    `java.lang.String` | `GetFieldAsString​(int id)` |
    `java.lang.String` | `GetFieldAsString​(java.lang.String field_name)` |
    `java.lang.String[]` | `GetFieldAsStringList​(int id)` |
    `int` | `GetFieldCount​()` |
    `FieldDefn` | `GetFieldDefnRef​(int id)` |
    `FieldDefn` | `GetFieldDefnRef​(java.lang.String field_name)` |
    `int` | `GetFieldIndex​(java.lang.String field_name)` |
    `int` | `GetFieldType​(int id)` |
    `int` | `GetFieldType​(java.lang.String field_name)` |
    `Geometry` | `GetGeometryRef​()` |
    `int` | `GetGeomFieldCount​()` |
    `GeomFieldDefn` | `GetGeomFieldDefnRef​(int id)` |
    `GeomFieldDefn` | `GetGeomFieldDefnRef​(java.lang.String field_name)` |
    `int` | `GetGeomFieldIndex​(java.lang.String field_name)` |
    `Geometry` | `GetGeomFieldRef​(int iField)` |
    `Geometry` | `GetGeomFieldRef​(java.lang.String field_name)` |
    `java.lang.String` | `GetNativeData​()` |
    `java.lang.String` | `GetNativeMediaType​()` |
    `java.lang.String` | `GetStyleString​()` |
    `int` | `hashCode​()` |
    `boolean` | `IsFieldNull​(int id)` |
    `boolean` | `IsFieldNull​(java.lang.String field_name)` |
    `boolean` | `IsFieldSet​(int id)` |
    `boolean` | `IsFieldSet​(java.lang.String field_name)` |
    `boolean` | `IsFieldSetAndNotNull​(int id)` |
    `boolean` | `IsFieldSetAndNotNull​(java.lang.String field_name)` |
    `int` | `SetFID​(long fid)` |
    `void` | `SetField​(int id, double value)` |
    `void` | `SetField​(int id, int value)` |
    `void` | `SetField​(int id, int year, int month, int day, int hour, int minute, float second, int tzflag)` |
    `void` | `SetField​(int id, java.lang.String value)` |
    `void` | `SetField​(java.lang.String field_name, double value)` |
    `void` | `SetField​(java.lang.String field_name, int value)` |
    `void` | `SetField​(java.lang.String field_name, int year, int month, int day, int hour, int minute, float second, int tzflag)` |
    `void` | `SetField​(java.lang.String field_name, java.lang.String value)` |
    `void` | `SetFieldBinaryFromHexString​(int id, java.lang.String pszValue)` |
    `void` | `SetFieldBinaryFromHexString​(java.lang.String field_name, java.lang.String pszValue)` |
    `void` | `SetFieldDoubleList​(int id, double[] nList)` |
    `void` | `SetFieldInteger64​(int id, long value)` |
    `void` | `SetFieldIntegerList​(int id, int[] nList)` |
    `void` | `SetFieldNull​(int id)` |
    `void` | `SetFieldNull​(java.lang.String field_name)` |
    `void` | `SetFieldStringList​(int id, java.util.Vector pList)` |
    `int` | `SetFrom​(Feature other)` |
    `int` | `SetFrom​(Feature other, int forgiving)` |
    `int` | `SetFromWithMap​(Feature other, int forgiving, int[] nList)` |
    `int` | `SetGeometry​(Geometry geom)` |
    `int` | `SetGeometryDirectly​(Geometry geom)` |
    `int` | `SetGeomField​(int iField, Geometry geom)` |
    `int` | `SetGeomField​(java.lang.String field_name, Geometry geom)` |
    `int` | `SetGeomFieldDirectly​(int iField, Geometry geom)` |
    `int` | `SetGeomFieldDirectly​(java.lang.String field_name, Geometry geom)` |
    `void` | `SetNativeData​(java.lang.String nativeData)` |
    `void` | `SetNativeMediaType​(java.lang.String nativeMediaType)` |
    `void` | `SetStyleString​(java.lang.String the_string)` |
    `void` | `UnsetField​(int id)` |
    `void` | `UnsetField​(java.lang.String field_name)` |
    `int` | `Validate​()` |
    `int` | `Validate​(int flags)` |
    `int` | `Validate​(int flags, int bEmitError)` |

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Feature

          public Feature​(long cPtr,
                         boolean cMemoryOwn)

    - #### Feature

          public Feature​(FeatureDefn feature_def)

  - ### Method Detail

    - #### getCPtr

          public static long getCPtr​(Feature obj)

    - #### delete

          public void delete​()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone​()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### GetDefnRef

          public FeatureDefn GetDefnRef​()

    - #### SetGeometry

          public int SetGeometry​(Geometry geom)

    - #### SetGeometryDirectly

          public int SetGeometryDirectly​(Geometry geom)

    - #### GetGeometryRef

          public Geometry GetGeometryRef​()

    - #### SetGeomField

          public int SetGeomField​(int iField,
                                  Geometry geom)

    - #### SetGeomField

          public int SetGeomField​(java.lang.String field_name,
                                  Geometry geom)

    - #### SetGeomFieldDirectly

          public int SetGeomFieldDirectly​(int iField,
                                          Geometry geom)

    - #### SetGeomFieldDirectly

          public int SetGeomFieldDirectly​(java.lang.String field_name,
                                          Geometry geom)

    - #### GetGeomFieldRef

          public Geometry GetGeomFieldRef​(int iField)

    - #### GetGeomFieldRef

          public Geometry GetGeomFieldRef​(java.lang.String field_name)

    - #### Clone

          public Feature Clone​()

    - #### Equal

          public boolean Equal​(Feature feature)

    - #### GetFieldCount

          public int GetFieldCount​()

    - #### GetFieldDefnRef

          public FieldDefn GetFieldDefnRef​(int id)

    - #### GetFieldDefnRef

          public FieldDefn GetFieldDefnRef​(java.lang.String field_name)

    - #### GetGeomFieldCount

          public int GetGeomFieldCount​()

    - #### GetGeomFieldDefnRef

          public GeomFieldDefn GetGeomFieldDefnRef​(int id)

    - #### GetGeomFieldDefnRef

          public GeomFieldDefn GetGeomFieldDefnRef​(java.lang.String field_name)

    - #### GetFieldAsString

          public java.lang.String GetFieldAsString​(int id)

    - #### GetFieldAsString

          public java.lang.String GetFieldAsString​(java.lang.String field_name)

    - #### GetFieldAsInteger

          public int GetFieldAsInteger​(int id)

    - #### GetFieldAsInteger

          public int GetFieldAsInteger​(java.lang.String field_name)

    - #### GetFieldAsInteger64

          public long GetFieldAsInteger64​(int id)

    - #### GetFieldAsInteger64

          public long GetFieldAsInteger64​(java.lang.String field_name)

    - #### GetFieldAsDouble

          public double GetFieldAsDouble​(int id)

    - #### GetFieldAsDouble

          public double GetFieldAsDouble​(java.lang.String field_name)

    - #### GetFieldAsDateTime

          public void GetFieldAsDateTime​(int id,
                                         int[] pnYear,
                                         int[] pnMonth,
                                         int[] pnDay,
                                         int[] pnHour,
                                         int[] pnMinute,
                                         float[] pfSecond,
                                         int[] pnTZFlag)

    - #### GetFieldAsDateTime

          public void GetFieldAsDateTime​(java.lang.String field_name,
                                         int[] pnYear,
                                         int[] pnMonth,
                                         int[] pnDay,
                                         int[] pnHour,
                                         int[] pnMinute,
                                         float[] pfSecond,
                                         int[] pnTZFlag)

    - #### GetFieldAsIntegerList

          public int[] GetFieldAsIntegerList​(int id)

    - #### GetFieldAsDoubleList

          public double[] GetFieldAsDoubleList​(int id)

    - #### GetFieldAsStringList

          public java.lang.String[] GetFieldAsStringList​(int id)

    - #### GetFieldAsBinary

          public byte[] GetFieldAsBinary​(int id)

    - #### GetFieldAsBinary

          public byte[] GetFieldAsBinary​(java.lang.String field_name)

    - #### IsFieldSet

          public boolean IsFieldSet​(int id)

    - #### IsFieldSet

          public boolean IsFieldSet​(java.lang.String field_name)

    - #### IsFieldNull

          public boolean IsFieldNull​(int id)

    - #### IsFieldNull

          public boolean IsFieldNull​(java.lang.String field_name)

    - #### IsFieldSetAndNotNull

          public boolean IsFieldSetAndNotNull​(int id)

    - #### IsFieldSetAndNotNull

          public boolean IsFieldSetAndNotNull​(java.lang.String field_name)

    - #### GetFieldIndex

          public int GetFieldIndex​(java.lang.String field_name)

    - #### GetGeomFieldIndex

          public int GetGeomFieldIndex​(java.lang.String field_name)

    - #### GetFID

          public long GetFID​()

    - #### SetFID

          public int SetFID​(long fid)

    - #### DumpReadable

          public void DumpReadable​()

    - #### UnsetField

          public void UnsetField​(int id)

    - #### UnsetField

          public void UnsetField​(java.lang.String field_name)

    - #### SetFieldNull

          public void SetFieldNull​(int id)

    - #### SetFieldNull

          public void SetFieldNull​(java.lang.String field_name)

    - #### SetField

          public void SetField​(int id,
                               java.lang.String value)

    - #### SetField

          public void SetField​(java.lang.String field_name,
                               java.lang.String value)

    - #### SetFieldInteger64

          public void SetFieldInteger64​(int id,
                                        long value)

    - #### SetField

          public void SetField​(int id,
                               int value)

    - #### SetField

          public void SetField​(java.lang.String field_name,
                               int value)

    - #### SetField

          public void SetField​(int id,
                               double value)

    - #### SetField

          public void SetField​(java.lang.String field_name,
                               double value)

    - #### SetField

          public void SetField​(int id,
                               int year,
                               int month,
                               int day,
                               int hour,
                               int minute,
                               float second,
                               int tzflag)

    - #### SetField

          public void SetField​(java.lang.String field_name,
                               int year,
                               int month,
                               int day,
                               int hour,
                               int minute,
                               float second,
                               int tzflag)

    - #### SetFieldIntegerList

          public void SetFieldIntegerList​(int id,
                                          int[] nList)

    - #### SetFieldDoubleList

          public void SetFieldDoubleList​(int id,
                                         double[] nList)

    - #### SetFieldStringList

          public void SetFieldStringList​(int id,
                                         java.util.Vector pList)

    - #### SetFieldBinaryFromHexString

          public void SetFieldBinaryFromHexString​(int id,
                                                  java.lang.String pszValue)

    - #### SetFieldBinaryFromHexString

          public void SetFieldBinaryFromHexString​(java.lang.String field_name,
                                                  java.lang.String pszValue)

    - #### SetFrom

          public int SetFrom​(Feature other,
                             int forgiving)

    - #### SetFrom

          public int SetFrom​(Feature other)

    - #### SetFromWithMap

          public int SetFromWithMap​(Feature other,
                                    int forgiving,
                                    int[] nList)

    - #### GetStyleString

          public java.lang.String GetStyleString​()

    - #### SetStyleString

          public void SetStyleString​(java.lang.String the_string)

    - #### GetFieldType

          public int GetFieldType​(int id)

    - #### GetFieldType

          public int GetFieldType​(java.lang.String field_name)

    - #### Validate

          public int Validate​(int flags,
                              int bEmitError)

    - #### Validate

          public int Validate​(int flags)

    - #### Validate

          public int Validate​()

    - #### FillUnsetWithDefault

          public void FillUnsetWithDefault​(int bNotNullableOnly,
                                           java.util.Vector options)

    - #### FillUnsetWithDefault

          public void FillUnsetWithDefault​(int bNotNullableOnly)

    - #### FillUnsetWithDefault

          public void FillUnsetWithDefault​()

    - #### GetNativeData

          public java.lang.String GetNativeData​()

    - #### GetNativeMediaType

          public java.lang.String GetNativeMediaType​()

    - #### SetNativeData

          public void SetNativeData​(java.lang.String nativeData)

    - #### SetNativeMediaType

          public void SetNativeMediaType​(java.lang.String nativeMediaType)